function enable_altar(stone, entity)
	local items = EntityGetWithTag( stone )
	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform( entity_id )

	if ( #items > 0  ) then
		for i,item_id in ipairs(items) do
			local components = EntityGetComponent( item_id, "PhysicsBodyComponent" )
			local in_world = false

			if( components ~= nil ) then
				in_world = true
			end

			local tx, ty = EntityGetTransform( item_id )

			local distance = math.abs(x - tx) + math.abs(y - ty)
			if in_world then
				if ( distance < 48 ) then
					EntityKill( item_id )
					EntityKill( entity_id )
					EntityLoad( entity, x, y )
					return true
				end
			end
		end
	end
	return false
end

if (enable_altar('heal_stone', 'mods/aura/files/entity/holders/heal.xml') == false) then
	if (enable_altar('damage_stone', 'mods/aura/files/entity/holders/damage.xml') == false) then
		if  (enable_altar('critical_stone', 'mods/aura/files/entity/holders/critical.xml') == false) then
			if (enable_altar('speed_stone', 'mods/aura/files/entity/holders/speed.xml') == false) then
				if (enable_altar('mana_stone', 'mods/aura/files/entity/holders/mana.xml') == false) then
					enable_altar('defence_stone', 'mods/aura/files/entity/holders/defence.xml')
				end
			end
		end
	end
end





