if not async then
	dofile_once( "data/scripts/lib/coroutines.lua" )
end

dofile_once( "data/scripts/lib/utilities.lua" )

function gui_create(time, text, line)
	local gui = GuiCreate() or GuiDestroy(gui)
	local gui_frame_func = function()
		GuiLayoutBeginVertical( gui, 3, line )

		local frames = GameGetFrameNum()
		if frames % 60 == 0 then
			time = time - 1
		end

		if time <= 0 then
			return nil
		end

		GuiText(gui, 2, 0, string.format("%s: %02d s.", text, time))
		GuiLayoutEnd(gui)
	end

	async_loop(function()
			if gui ~= nil then
				GuiStartFrame(gui)
			end

			if gui_frame_func ~= nil then
				gui_frame_func()
			end
			wait(0)
	end)
end
